#
# spec file for package audit-libs-python (Version 1.2.9)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt post-build-checks procinfo procps psmisc pwdutils python python-devel rcs readline rpm sed strace swig sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           audit-libs-python
%define _name audit
BuildRequires:  audit-devel gcc-c++ python-devel swig
Summary:        Python bindings for libaudit
Version:        1.2.9
Release:        12.19
License:        GPL v2 or later
Group:          System/Monitoring
Url:            http://people.redhat.com/sgrubb/audit/
Source0:        audit-%{version}.tar.bz2
Patch0:         audit-change-paths.patch
Patch1:         audit-disable-syscall-contexts.patch
Patch2:         audit-auparse_missing_return.patch
Patch3:         audit-aureport_users.patch
Patch4:         audit-aureport_forceusername.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       audit-libs = %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' audit-libs`)
PreReq:         %insserv_prereq %fillup_prereq

%description
The audit-libs-python package contains the bindings so that libaudit
can be used by python.



Authors:
--------
    Steve Grubb <sgrubb@redhat.com>

%debug_package
%prep
%setup -q -n audit-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
autoreconf -fv --install
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CXXFLAGS="$CFLAGS"
./configure --prefix=%{_prefix} --sbindir=/sbin --mandir=%{_mandir} --libdir=/%{_lib} --sysconfdir=/etc --with-apparmor
pushd src/mt
        make libaudit.h
popd
make

%install
make DESTDIR=$RPM_BUILD_ROOT install -C swig
make DESTDIR=$RPM_BUILD_ROOT install -C audisp LIBDIR=$RPM_BUILD_ROOT/%{_libdir}/python%{py_ver}/site-packages
mkdir $RPM_BUILD_ROOT/usr/sbin
mv $RPM_BUILD_ROOT/sbin/audispd $RPM_BUILD_ROOT/usr/sbin/audispd
rm -f $RPM_BUILD_ROOT/%{_libdir}/python%{py_ver}/site-packages/_audit.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/python%{py_ver}/site-packages/_audit.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/auditd.conf ]; then
   tmp=`mktemp /etc/auditd-post.$$`
   if [ -n $tmp ]; then
      sed 's|^#dispatcher|dispatcher|g' /etc/auditd.conf > $tmp && \
         cat $tmp > /etc/auditd.conf
      rm -f $tmp
   fi
fi

%files
%defattr(-,root,root,-)
%attr(750,root,root) /usr/sbin/audispd
%{_libdir}/python%{py_ver}/site-packages/_audit.so
%{_libdir}/python%{py_ver}/site-packages/audit.py*
%{_libdir}/python%{py_ver}/site-packages/AuditMsg.py*

%changelog
* Thu Dec 07 2006 - tonyj@suse.de
- Split off package for SLES10SP1 (follow split done by cthiel for
  STABLE)
- Upgrade to 1.2.9 (drop several patches which are now upstream)
- /usr/sbin/audispd now packaged by audit-libs-python
